Page MenuHomePhabricator

Enable Huggle on id.wikipedia.org
Closed, ResolvedPublic

Description

Hi, I request to enable Huggle on id.wikipedia.org.

Thanks.

Initial configuration << done
Create whitelist << done
Insert to meta << done
Translate Project:Huggle << done
Translate Project:Huggle/Message << done
Translate warn-N templates << done

Event Timeline

Restricted Application added subscribers: Matthewrbowker, Aklapper. · View Herald TranscriptSep 24 2016, 12:35 AM
Petrb added a subscriber: Petrb.Sep 26 2016, 11:28 PM

Hello,

Following needs to be done:

Petrb updated the task description. (Show Details)Sep 27 2016, 4:58 PM
Rachmat04 added a comment.EditedSep 28 2016, 6:27 AM

Hello,
Following needs to be done:

All done.

But I'm not sure all messages in this page are done translated. Could you please look into it and inform which messages that are not translated yet? I am afraid that I'll break the code if I translate it wrong.

Hello, my opinion :
You can add/translate score-words near cool for example.
Problem : templates that you have added are entirely in the config page. It is usually in a separate template page. For example, you van use this code if a template with name Huggle/warn-1 exist.

warning1:{{subst:Huggle/warn-1}}

I had that you can protect the editing of the page, such as limit to autopatrolled users, to avoid problematic vandalisms on it.
Deer

Petrb added a comment.Sep 28 2016, 6:21 PM

ew yes I see that I have no idea how that happened I thought that <pre> is not allowing for template inclusion. It must have been substituted while I pasted it, I will try to fix that

Hi,

I made changes on Config page:
https://id.wikipedia.org/w/index.php?title=Wikipedia%3AHuggle%2FConfig&type=revision&diff=11888359&oldid=11885600

and it seems fixed now for me. Is there any else I missed?

Petrb updated the task description. (Show Details)Sep 29 2016, 10:47 AM

Huggle seems to work now, just hit reload button on login form to get it to list of wikis. Please try using it to verify it works correct, be careful it may not work as expected if there are some problems with config page

Petrb closed this task as Resolved.Sep 29 2016, 10:53 PM
Petrb claimed this task.
Petrb updated the task description. (Show Details)